# [Django Gradient Able](https://app-generator.dev/docs/products/django-libs/theme-gradient-able.html)

Modern template for **Django Admin**, Auth Pages (registration included) crafted on top of **Gradient Able Dashboard**, an open-source **Bootstrap** design.

- [Django Admin Gradient Able](https://app-generator.dev/docs/products/django-libs/theme-gradient-able.html) - Documentation & Support Links
- [Django Gradient Able Dashboard](https://app-generator.dev/product/gradient-able/django/) - The product that uses the library
- [Getting Started with Django](https://app-generator.dev/docs/technologies/django/index.html) - Learn how to code **Django** Projects

<br />

## **Features**

- Design: **[Gradient Able](https://app-generator.dev/docs/templates/bootstrap/gradient-able.html)** (Bootstrap)
- **Sections Covered**: 
  - `Admin Section`, reserved for `superusers`
  - `All pages` managed by `Django.contrib.AUTH`
  - `Registration` page
  - `Misc pages`: colors, icons, typography, blank-page 
  
<br />

### Build a Starter with [Django App Generator - Gradient Design](https://app-generator.dev/tools/django-generator/gradient/)

- Access the [App Generator](https://app-generator.dev/tools/django-generator/) page
- Select **Gradient Able** as the preferred design
- (Optional) Design Database: edit models and fields
- (Optional) Edit the fields for the extended user model
- (Optional) Enable OAuth for GitHub
- (Optional) Add Celery (async tasks)
- (Optional) Enable Dynamic API Module
- Docker Scripts
- Render CI/Cd Scripts

**The generated Django project is available as a ZIP Archive and also uploaded to GitHub.**

<br />

![Django Gradient Able - Modern template for Django Admin Section crafted on top of a modern Bootstrap Design.](https://user-images.githubusercontent.com/51070104/171583187-c4ca1bef-b535-458e-9250-8d62ba1f5b30.png)

<br />

## [Gradient Able PRO Version](https://app-generator.dev/product/gradient-able-pro/django/)

> The premium version provides more features, priority on support, and is more often updated - [Live Demo](https://django-gradient-pro.onrender.com/).

- **Simple, Easy-to-Extend** Codebase
- **Gradient Able** Design - PRO Version
- Bootstrap 5 CSS
- **OAuth** - Github
- **Extended User Profile**
- **API** via DRF 
- **Charts** via ApexJS 
- **Celery** (async tasks)
- **Deployment-Ready** for Render 

![Gradient PRO - Full-Stack Starter generated by AppSeed](https://user-images.githubusercontent.com/51070104/216759901-7b3a6c50-b224-4ae2-922c-3cb4648a5802.png)

<br />

---
**[Django Gradient Able](https://app-generator.dev/docs/products/django-libs/theme-gradient-able.html)** - Modern Django Admin Interface provided by **[App-Generator](https://app-generator.dev)**
